Gecode::Iter::Ranges::Append< I, J > Class Template Reference
Common functionality » Range and value iterators » Range iterators

Range iterator for appending two range iterators More...

`#include <ranges-append.hpp>`

## Protected Attributes

I | i
| First iterator.
J | j
| Iterator to be appended.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| Append (void)
| Default constructor.
| Append (I &i, J &j)
| Initialize with iterator i and j.
void | init (I &i, J &j)
| Initialize with iterator i and j.

## Iteration control

void | operator++ (void)
| Move iterator to next range (if possible).

## Additional Inherited Members

| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

template<class I, class J>
class Gecode::Iter::Ranges::Append< I, J >

Range iterator for appending two range iterators

The iterators are allowed to be adjacent but not to overlap (in this case, use Gecode::Iter::Union).

Definition at line 46 of file ranges-append.hpp.

## Constructor & Destructor Documentation

## Append() [1/2]

template<class I, class J>

Gecode::Iter::Ranges::Append< I, J >::Append | ( | void |  | ) |

inline

Default constructor.

Definition at line 134 of file ranges-append.hpp.

## Append() [2/2]

template<class I, class J>

Gecode::Iter::Ranges::Append< I, J >::Append | ( | I & | i,
|  | J & | j )

inline

Initialize with iterator i and j.

Definition at line 138 of file ranges-append.hpp.

## Member Function Documentation

## init()

template<class I, class J>

void Gecode::Iter::Ranges::Append< I, J >::init | ( | I & | i,
|  | J & | j )

inline

Initialize with iterator i and j.

Definition at line 148 of file ranges-append.hpp.

## operator++()

template<class I, class J>

void Gecode::Iter::Ranges::Append< I, J >::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 115 of file ranges-append.hpp.

## Member Data Documentation

## i

template<class I, class J>

I Gecode::Iter::Ranges::Append< I, J >::i

protected

First iterator.

Definition at line 49 of file ranges-append.hpp.

## j

template<class I, class J>

J Gecode::Iter::Ranges::Append< I, J >::j

protected

Iterator to be appended.

Definition at line 51 of file ranges-append.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-append.hpp